﻿using System;
using System.Linq;
using System.Xml.Linq;
using System.IO;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            // LINQ to objects
            int[] numbers = new int[] { 1, 2, 3, 4, 5 };
            var evens = from item in numbers
                        where item % 2 == 0
                        select item;

            foreach (var item in evens)
            {
                Console.WriteLine(item);
            }

            // LINQ to XML
            string txt = @"
<people>
    <person name='anders' age='47' />
    <person name='winnie' age='13' />
</people>
";
            StringReader sr = new StringReader(txt);

            var xml = XElement.Load(sr);

            var query = from person in xml.Elements("person")
                        select person;

            foreach (var item in query)
            {
                Console.WriteLine(item.Attribute("name").Value + ": " + item.Attribute("age").Value);
            }
        }
    }
}
